/**
* ============================================================
* File type: Init
* File provides: Video Banner Navigation
*
* @author:  Matteo Montanari <matteo@italinux.com>
*
* @component: jquery.mb.components                                                                                                                             
* last modified: 01/07/15 19.35                                                                                                                    
*                                                                                                                                                  
* Open Lab s.r.l., Florence - Italy                                                                                                                
*                                                                                                                                                   
*  email: matteo@open-lab.com                                                                                                                       
*  site: http://pupunzi.com                                                                                                                         
*        http://open-lab.com                                                                                                                        
*  blog: http://pupunzi.open-lab.com                                                                                                                
*  Q&A:  http://jquery.pupunzi.com                                                                                                                  
*                                                                                                                                                   
*  Licences: MIT, GPL                                                                                                                               
*     http://www.opensource.org/licenses/mit-license.php                                                                                            
*     http://www.gnu.org/licenses/gpl.html                                                                                                          
*                                                                                                                                                   
*  Copyright (c) 2001-2015. Matteo Bicocchi (Pupunzi);                                                                                              
* ============================================================
*/
$(document).ready(function(e) {
  
  if (CCM_EDIT_MODE === false) {
    /**
    * @preserve
    * Detect Devices
    */
      var isMobile = window.matchMedia("only screen and (max-width: 760px)");
    /**
    * @preserve
    * Conditional script here
    */
      if (isMobile.matches === false) {
    /**
    * @preserve
    * ============================================
    * YouTube Video:
    * Trigger "on / off" only when available on the viewport (inView)
    * ==============================================
    */

    // define video wrapper 
      var playerID = 'div[data-animation="bgVideo"]';

    // init YTPlayer
      var ytPlayer = $(playerID).YTPlayer();
        ytPlayer.on("YTPReady", function() {

          // jump to videoStart (seconds)
          ytPlayer.YTPSeekTo(videoStartAt);

          // stop video first when video Ready
          timer = setTimeout(function() {
            ytPlayer.YTPPause();
          }, 500);

          // start video when wrapper in View
          timer = setTimeout(function() {
            var inview = new Waypoint.Inview({
              element: $(ytPlayer),
              enter: function(direction) {
                ytPlayer.YTPPlay();
              },
              exited: function(direction) {
                ytPlayer.YTPPause();
              }
            })
          }, 1000);

          if (typeof timer == 'undefined') {
              var timer = 0;
              clearTimeout(timer);
          }
        });
      };
    };
});
