/**
* ============================================
* File type: Conf
* File provides: Animation on Waypoint
* Requires: Waypoint + Lazy.Animate
*
* @author:  Matteo Montanari <matteo@italinux.com>
*
* @component: jquery.waypoints.min.js
* @component: jquery.lazy.animate.min.js
*
* TERMS OF USE
* Open source under the GPLv3 License.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software Foundation,
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
* ============================================
*/

(function($) {

    $.fn.lazyAnimateInit = function() {
        /**
        * @preserve
        * List of Handlers for Animation
        */
        $(this).lazyAnimate({
            "banner": {
                "bgVideo": {
                    offset: 500,
                    effect: "fadeIn",
                    delay: 0.6,
                },
                "title": {
                    offset: 500,
                    effect: "fadeIn",
                    delay: 0.4,
                },
                "subtitle": {
                    offset: 500,
                    effect: "fadeIn",
                    delay: 0.8,
                },
                "photo": {
                    offset: 500,
                    effect: "bounceInRight",
                    delay: 0.8,
                },
                "content": {
                    offset: 500,
                    effect: "bounceInLeft",
                    delay: 0.8,
                },
                "cta": {
                    offset: 800,
                    effect: "fadeIn",
                    delay: 1.2,
                },
                "top-arrow": {
                    offset: 800,
                    effect: "fadeInDown",
                    delay: 2,
                },
            },
        });
    };
})(jQuery);
