/**
* ============================================
* File type: Init
* File provides: Auto Scroll down after submit
*
* @author: Matteo Montanari <matteo@italinux.com>
*
* TERMS OF USE
* Open source under the GPLv3 License.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software Foundation,
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
* ============================================
*/

$(document).ready(function(e) {

    /**
    * @preserve
    * Add loader on form Submit
    */
    $('form#miniSurveyView').on('submit', function() {
        $(this).children('div.form-actions').addClass('loader');
    });

    /**
    * @preserve
    * INIT Scrolling on URL
    * Scroll to the block section (contacts)
    */
    if ($(location).attr("hash")) {

        if ($(location).attr("hash").substr(1, 9) == "formblock") {

            scrollToFormResult();
        }
    }

    /**
    * @preserve
    * ============================================
    * EXTERNAL:
    *   Scrolling through Direct Url
    *   with speed in milliseconds
    * ============================================
    */
    function scrollToFormResult() {

        // delay animation start (milliseconds)
        var delayMsecs = 1500;

        var speedFactor = 2.5; // + o - speed (play with decimals first)

        // offset target destination
        var postOffset = -50;

        // get current handler for this add-on
        var thisHandler = "#wyp-contacts";

        var timer;

        // detect handler if Any
        if ($(thisHandler).length) {

            // get handler Offset
            var thisHandlerOffset = $(thisHandler).first().offset().top;

            // calculate speed (animation)
            var thisAnimDurationMsecs = Math.ceil(thisHandlerOffset / speedFactor);

            clearTimeout(timer);

            timer = setTimeout(function() {
                $("html, body").animate({
                    scrollTop: thisHandlerOffset - postOffset
                }, thisAnimDurationMsecs, "swing");
            }, delayMsecs);
        }
    }
});
