<?php
/**
.---------------------------------------------------------------------.
|  @package: Theme Lazy4basic (a.k.a. Personal)
|  @version: v0.9.9 (28 March 2018)
|  @link:    http://italinux.com/personal
|  @docs:    http://italinux.com/theme-personal
|
|  @author: Matteo Montanari <matteo@italinux.com>
|  @link:   http://matteo-montanari.com
'---------------------------------------------------------------------'
.---------------------------------------------------------------------------.
| @copyright (c) 2018                                                       |
| ------------------------------------------------------------------------- |
| @license: Concrete5.org Marketplace Commercial Add-Ons & Themes License   |
|           http://concrete5.org/help/legal/commercial_add-on_license       |
|           or just: file://theme_lazy4basic/LICENSE.TXT
|                                                                           |
| This program is distributed in the hope that it will be useful - WITHOUT  |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     |
| FITNESS FOR A PARTICULAR PURPOSE.                                         |
'---------------------------------------------------------------------------'
*/
defined('C5_EXECUTE') or die("Access Denied.");
?>

<div class="<?php echo $btWrapperForm ?>">
  <section>
    <div>
      <div class="row main">
        <div class="col-xs-9">

          <div class="row">
            <div class="col-xs-8 col-xs-offset-2">
              <div class="form-group center single-space-top">
                <?php echo $form->label('title', t('Title: %s', '<span>(' . t('thanks for passing by..') . ')</span>'))?>
                <div class="input-group center p70">
                  <?php echo $form->text('title', t($title), array('maxlength' => '50'))?>
                </div>
              </div>
              <div class="form-group center single-space-bottom">
                <?php echo $form->label('subtitle', t('Subtitle: %s', '<span>(' . t('Come back soon') . ')</span>'))?>
                <div class="input-group center p90">
                  <?php echo $form->text('subtitle', t($subtitle), array('maxlength' => '50'))?>
                </div>
              </div>
            </div>
            <div class="col-xs-2">
              <div class="form-group center single-margin-top no-paddings">
                <?php echo $form->label('isQuoted', t('wrap title with Quotes?'))?>
                <div class="input-group">
                  <div class="radio">
                    <label>
                      <?php echo $form->radio('isQuoted', 1, (int) $isQuoted)?>
                      <span><?php echo t('Yes')?></span>
                    </label>
                  </div>
                  <div class="radio">
                    <label>
                      <?php echo $form->radio('isQuoted', 0, (int) $isQuoted)?>
                      <span><?php echo t('No')?></span>
                    </label>
                  </div>
                </div>
              </div>
            </div>
          </div>

<!-- START row-->
          <div class="col-xs-12">
            <?php
              echo $hUI->tabs(array(
                  array('credit-one', t('Credits %s', 1), true),
                  array('credit-two', t('Credits %s', 2)),
              ));
            ?>
<!-- Credit one -->
            <div class="ccm-tab-content" id="ccm-tab-content-credit-one">
              <fieldset>
                <legend><?php echo t('here you write credits, additional infos and/or a link. %s', t('It shows below Subtitle') . '.')?></legend>

                <div class="row">
                  <div class="col-xs-8">
                    <div class="form-group center">
                      <?php echo $form->label('credits1stMessage', t('Credits: %s', '<span>(' . t('to see our Terms & Conditions..') . ')</span>'))?>
                      <div class="input-group">
                        <?php echo $form->text('credits1stMessage', t($credits1stMessage), array('maxlength' => '255'))?>
                      </div>
                    </div>
                  </div>
                  <div class="col-xs-4">
                    <div class="form-group center no-paddings">
                      <?php echo $form->label('credits1stName', t('text: %s', '<span>(' . t('click here') . ')</span>'))?>
                      <div class="input-group align-center">
                        <?php echo $form->text('credits1stName', t($credits1stName), array('maxlength' => '255'))?>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="col-xs-12">
                  <div class="form-group center">
                    <?php echo $form->label('credits1stLink', t('Link to text: %s', '<br /><span>(' . t('http://%1$s.website/%2$s-%3$s-%4$s', t('your'), t('terms'), t('and'), t('conditions')) . ' <b>or</b> /new-page <b>or</b> #name-of-addon)</span></span>'))?>
                    <div class="input-group center p80">
                      <?php echo $form->text('credits1stLink', $credits1stLink, array('maxlength' => '255', 'placeholder' => t('/%1$s-%2$s#%3$s', t('new'), t('page'), t('name'))))?>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>

<!-- Credit two -->
            <div class="ccm-tab-content" id="ccm-tab-content-credit-two">
              <fieldset>
                <legend><?php echo t('here you write credits, additional infos and/or a link. %s', '<u>' . t('It shows at the very bottom') . '</u>')?></legend>

                <div class="row">
                  <div class="col-xs-8">
                    <div class="form-group center">
                      <?php echo $form->label('credits2ndMessage', t('Credits: %s', '<span>(' . t('developed for fun by:') . ')</span>'))?>
                      <div class="input-group">
                        <?php echo $form->text('credits2ndMessage', t($credits2ndMessage), array('maxlength' => '255'))?>
                      </div>
                    </div>
                  </div>
                  <div class="col-xs-4">
                    <div class="form-group center no-paddings">
                      <?php echo $form->label('credits2ndName', t('name: %s', '<span>(John)</span>'))?>
                      <div class="input-group align-center">
                        <?php echo $form->text('credits2ndName', t($credits2ndName), array('maxlength' => '255'))?>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="col-xs-12">
                  <div class="form-group center">
                    <?php echo $form->label('credits2ndLink', t('Link to name: %s', '<br /><span>(http://my-url.ext <b>or</b> /new-page <b>or</b> #name-of-addon)</span>'))?>
                    <div class="input-group center p80">
                      <?php echo $form->text('credits2ndLink', $credits2ndLink, array('maxlength' => '255', 'placeholder' => t('/%1$s-%2$s', t('new'), t('page'))))?>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
<!-- END row -->

        </div>
        <div class="col-xs-3">
          <section class="style">
            <div>
              <div class="row main">
                <div class="title">
                  <?php echo t('Customise Style')?>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-top no-side-paddings">
                    <?php echo $form->label('bgColorRGBA', t('background colour %s', '<br /><span>(' . t('with or without transparency') . ')</span>'))?>
                    <div class="input-group">
                      <!-- Show a Color Palette in RGB Color Format with Transparency Slider (RGBA) -->
                      <?php $color->output('bgColorRGBA', $bgColorRGBA, $bgColorPalette)?>
                    </div>
                  </div>
                  <div class="form-group center light-title no-margins no-side-paddings single-space-bottom">
                    <?php echo $form->label('bgColorOpacity', t('adjust top opacity'))?>
                    <div class="input-group">
                      <!-- Adjust Background Color (top) Opacity: Over Image -->
                      <?php
                        if (is_array($bgColorOpacityOptions)) {
                          foreach ($bgColorOpacityOptions as $key => $value) {
                        ?>
                      <div class="col-xs-3 no-paddings">
                        <div class="radio">
                          <span style="color:#333"><?php echo t($key)?></span>
                          <br />
                          <label>
                            <?php echo $form->radio('bgColorOpacity', $value, (float) $bgColorOpacity)?>
                          </label>
                        </div>
                      </div>
                      <?php
                          }
                        }
                        ?>
                    </div>
                  </div>
                </div>

                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-top">
                    <?php echo $form->label('bgFID', t('background image'))?>
                    <div class="input-group">
                      <?php echo $asset->image('ccm-b-image-bgFID', 'bgFID', t('Choose Image'), $bgFID, array())?>
                    </div>
                  </div>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-bottom">
                    <?php echo $form->label('fgColorRGB', t('font colour'))?>
                    <div class="input-group">
                      <!-- Show a Color Palette in RGB Color Format -->
                      <?php $color->output('fgColorRGB', $fgColorRGB, $fgColorPalette)?>
                    </div>
                  </div>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-bottom">
                    <?php echo $form->label('isAnimated', t('with Animation'))?>
                    <div class="input-group">
                      <div class="radio">
                        <label>
                          <?php echo $form->radio('isAnimated', 1, (int) $isAnimated)?>
                          <span class"on"><?php echo t('Yes')?></span>
                        </label>
                      </div>
                      <div class="radio">
                        <label>
                          <?php echo $form->radio('isAnimated', 0, (int) $isAnimated)?>
                          <span class="off"><?php echo t('No')?></span>
                        </label>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </section>

        </div>
      </div>
    </div>
  </section>
</div>
