/**
* ============================================
* File type: Conf
* File provides: SCROLL-TOP on click
*
* @author:  Matteo Montanari <matteo@italinux.com>
*
* TERMS OF USE
* Open source under the GPLv3 License.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software Foundation,
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
* ============================================
* SCROLL-TOP on click menu logo | title
* ============================================
*/

$(function() {

    if (CCM_EDIT_MODE === false) {
      
        $(".scroll-top").click(function(e) {

            e.preventDefault();

            var speedFactor = 3.5; // + o - speed (play with decimals first)

            // minimum animation duration in millisecs
            var animDurationMsecsDefault = 500;

            // get current element offset
            var thisElementOffset = $(this).offset().top;

            // calculate speed (animation)
            var animDurationMsecs = Math.ceil(thisElementOffset / speedFactor);

            // final speed (animation)
            var thisAnimDurationMsecs = (animDurationMsecs < animDurationMsecsDefault) ? animDurationMsecsDefault : animDurationMsecs;

            // Scroll Animate
            $("html, body").animate({
                scrollTop: 0
            }, thisAnimDurationMsecs, "swing");
        });
    /*
    * ============================================
    * SCROLL-TOP on click title
    * ============================================
    */
        var thisNavbar = $("section.menu");

        var showClass = "show";
        var showPosition = 400;

        var thisOffset = 0;

        /**
        * @preserve
        * Configure Offset (if admin mode add some more offset)
        */
        if (thisNavbar.hasClass('loggedIn')) {
            thisOffset += 48;
        }

        /**
        * @preserve
        * This is the actual position when menu starts fading (in|out)
        */
        showPosition += thisOffset;

        /**
        * @preserve
        * Scrolling
        */
        $(window).scroll(function() {
            // fade (in|out)
            if ($(this).scrollTop() > showPosition) {
                thisNavbar.find('.nav-title').addClass(showClass);
            } else {
                thisNavbar.find('.nav-title').removeClass(showClass);
            }
        });
    }
});
