<?php
/**
.---------------------------------------------------------------------.
|  @package: Theme Lazy4basic (a.k.a. Personal)
|  @version: v0.9.9 (28 March 2018)
|  @link:    http://italinux.com/personal
|  @docs:    http://italinux.com/theme-personal
|
|  @author: Matteo Montanari <matteo@italinux.com>
|  @link:   http://matteo-montanari.com
'---------------------------------------------------------------------'
.---------------------------------------------------------------------------.
| @copyright (c) 2018                                                       |
| ------------------------------------------------------------------------- |
| @license: Concrete5.org Marketplace Commercial Add-Ons & Themes License   |
|           http://concrete5.org/help/legal/commercial_add-on_license       |
|           or just: file://theme_lazy4basic/LICENSE.TXT
|                                                                           |
| This program is distributed in the hope that it will be useful - WITHOUT  |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     |
| FITNESS FOR A PARTICULAR PURPOSE.                                         |
'---------------------------------------------------------------------------'
*/
defined('C5_EXECUTE') or die("Access Denied.");
?>

<div class="<?php echo $btWrapperForm ?>">
  <section>
    <div>
      <div class="row main">
        <div class="col-xs-10">

          <div class="col-xs-12">
            <div class="col-xs-5">
              <div class="form-group center single-space-top">
                <?php echo $form->label('title', t('Title: %s', '<span>(' . t('what I do') . ')</span>'))?>
                <div class="input-group center p80">
                  <?php echo $form->text('title', t($title), array('maxlength' => '50'))?>
                </div>
              </div>
              <div class="form-group center single-space-top single-space-bottom">
                <?php echo $form->label('subtitle', t('Subtitle: %s', '<span>(' . t('I like doing ..') . ')</span>'))?>
                <div class="input-group center p90">
                  <?php echo $form->text('subtitle', t($subtitle), array('maxlength' => '50'))?>
                </div>
              </div>
            </div>
            <div class="col-xs-7">
              <div class="form-group center">
                <?php echo $form->label('CTA_text', t('Global Text Button: %s', '<span>(' . t('click here') . ')</span>'))?>
                <div class="input-group align-center p70">
                  <?php echo $form->text('CTA_text', t($CTA_text), array('maxlength' => '30', 'placeholder' => t('click here')))?>
                </div>
              </div>
              <div class="form-group center single-space-bottom">
                <?php echo $form->label('CTA_link', t('Global Link / anchor to: %s', '<br /><span>(http://my-url.ext <b>or</b> /new-page <b>or</b> #name-of-addon)</span>'))?>
                <div class="input-group center p90">
                  <?php echo $form->text('CTA_link', $CTA_link, array('maxlength' => '255', 'placeholder' => t('/%1$s-%2$s', t('new'), t('page'))))?>
                </div>
              </div>
            </div>
          </div>

<!-- START row-->
          <div class="col-xs-12">
            <?php
              echo $hUI->tabs(array(
                  array('item_1', t('What I do %s', 1), true),
                  array('item_2', t('What I do %s', 2)),
                  array('item_3', t('What I do %s', 3)),
                  array('item_4', t('What I do %s', 4)),
              ));
            ?>

            <?php
              for ($i=1; $i<5; $i++) {
            ?>
            <!-- Tabs -->
            <div class="ccm-tab-content" id="ccm-tab-content-item_<?php echo $i?>">
              <fieldset>
                <div class="col-xs-7">

                  <div class="col-xs-10 no-paddings">
                    <div class="form-group no-paddings no-margins">
                      <?php echo $form->label('o' . $i . '_icon', t('Choose an icon:'))?>
                      <div class="input-group">
                        <select name="o<?php echo $i?>_icon" multiple="true" style="height: 210px">
                          <?php
                            if (is_array($whatIDoIcons)) {
                              foreach ($whatIDoIcons as $key => $value) {
                                if ($key > 0) {
                                    echo ((is_int(($key) / 8)) == true ? '<option style="visibility:hidden"></option>' : null);
                                }
                              ?>
                          <option style="width:12.5%" value="<?php echo $value ?>" class="fa fa-<?php echo $value ?> fa-3x" <?php echo ($value == ${"o" . $i . "_icon"}) == true ? 'selected="selected"' : null?>></option>
                              <?php
                              }
                            }
                          ?>
                        </select>
                      </div>
                    </div>
                    <div class="form-group center single-space-top">
                      <?php echo $form->label('o' . $i . '_fID', t('Or stick an image:') . '<br /><span>' . t('%1$sNB:%2$s ', '<strong>','</strong>') . t('it has priority over the icon') .'</span>')?>
                      <div class="input-group center p70">
                        <?php echo $asset->image('ccm-b-image-o' . $i . '_fID', 'o' . $i . '_fID', t('Choose Image'), ${"o" . $i . "_fID"}, array())?>
                      </div>
                    </div>
                    <div class="form-group center double-space-top">
                      <?php echo $form->label('o' . $i . '_button', t('Single Text Button: %s', '<span>(' . t('check it out') . ')</span>'))?>
                      <div class="input-group align-center p50">
                        <?php echo $form->text('o' . $i . '_button', t(${"o" . $i . "_button"}), array('maxlength' => '30', 'placeholder' => t('check it out')))?>
                      </div>
                    </div>
                    <div class="form-group center single-space-top">
                      <?php echo $form->label('o' . $i . '_link', t('Single Link: %s', '<br /><span>(http://my-url.ext <b>or</b> /new-page <b>or</b> #name-of-addon)</span>'))?>
                      <div class="input-group center">
                        <?php echo $form->text('o' . $i . '_link', ${"o" . $i . "_link"}, array('maxlength' => '255', 'placeholder' => t('/%1$s-%2$s#%3$s', t('new'), t('page'), t('name'))))?>
                      </div>
                    </div>
                  </div>
                  <div class="col-xs-2 no-paddings">
                    <div class="form-group center no-paddings">
                      <?php echo $form->label('o' . $i . '_isEnabled', t('Visible?'))?>
                      <div class="input-group">
                        <div class="radio">
                          <label>
                            <?php echo $form->radio('o' . $i . '_isEnabled', 1, (int) ${"o" . $i . "_isEnabled"})?>
                            <span class="on"><?php echo t('Yes')?></span>
                          </label>
                        </div>
                        <div class="radio">
                          <label>
                            <?php echo $form->radio('o' . $i . '_isEnabled', 0, (int) ${"o" . $i . "_isEnabled"})?>
                            <span class="off"><?php echo t('No')?></span>
                          </label>
                        </div>
                      </div>
                    </div>
                  </div>

                </div>
                <div class="col-xs-5">
                  <div class="form-group center single-space-bottom">
                    <?php echo $form->label('o' . $i . '_title', t('Title below icon / image: %s', '<br /><span>(' . t('hiking, travelling') . ')</span>'))?>
                    <div class="input-group align-center p70">
                      <?php echo $form->text('o' . $i . '_title', t(${"o" . $i . "_title"}), array('maxlength' => '255', 'placeholder' => t('hiking, travelling')))?>
                    </div>
                  </div> 
                  <div class="form-group center no-paddings">
                      <?php echo $form->label('o' . $i . '_content', t('Content: %s', '<span>(blah blah .. )</span>'))?>
                      <div class="input-group">
                        <?php echo $editor->outputStandardEditor('o' . $i . '_content', t(${"o" . $i . "_content"}))?>
                      </div>
                  </div>
                </div>
              </fieldset>
            </div>
            <?php
              }
            ?>
          </div>

<!-- END row -->
        </div>
        <div class="col-xs-2 no-margins no-paddings">
          <section class="style">
            <div>
              <div class="row main">
                <div class="title">
                  <?php echo t('Customise Style')?>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-top no-side-paddings">
                    <?php echo $form->label('bgColorRGBA', t('background colour %s', '<br /><span>(' . t('with or without transparency') . ')</span>'))?>
                    <div class="input-group">
                      <!-- Show a Color Palette in RGB Color Format with Transparency Slider (RGBA) -->
                      <?php $color->output('bgColorRGBA', $bgColorRGBA, $bgColorPalette)?>
                    </div>
                  </div>
                  <div class="form-group center light-title no-margins no-side-paddings single-space-bottom">
                    <?php echo $form->label('bgColorOpacity', t('adjust top opacity'))?>
                    <div class="input-group">
                      <!-- Adjust Background Color (top) Opacity: Over Image -->
                      <?php
                        if (is_array($bgColorOpacityOptions)) {
                          foreach ($bgColorOpacityOptions as $key => $value) {
                        ?>
                      <div class="col-xs-3 no-paddings">
                        <div class="radio">
                          <span style="color:#333"><?php echo t($key)?></span>
                          <br />
                          <label>
                            <?php echo $form->radio('bgColorOpacity', $value, (float) $bgColorOpacity)?>
                          </label>
                        </div>
                      </div>
                      <?php
                          }
                        }
                        ?>
                    </div>
                  </div>
                </div>

                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-top">
                    <?php echo $form->label('bgFID', t('background image'))?>
                    <div class="input-group">
                      <?php echo $asset->image('ccm-b-image-bgFID', 'bgFID', t('Choose Image'), $bgFID, array())?>
                    </div>
                  </div>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-bottom">
                    <?php echo $form->label('fgColorRGB', t('font colour'))?>
                    <div class="input-group">
                      <!-- Show a Color Palette in RGB Color Format -->
                      <?php $color->output('fgColorRGB', $fgColorRGB, $fgColorPalette)?>
                    </div>
                  </div>
                </div>
                <div class="col-xs-12">
                  <div class="form-group center light-title single-space-bottom">
                    <?php echo $form->label('isAnimated', t('with Animation'))?>
                    <div class="input-group">
                      <div class="radio">
                        <label>
                          <?php echo $form->radio('isAnimated', 1, (int) $isAnimated)?>
                          <span class"on"><?php echo t('Yes')?></span>
                        </label>
                      </div>
                      <div class="radio">
                        <label>
                          <?php echo $form->radio('isAnimated', 0, (int) $isAnimated)?>
                          <span class="off"><?php echo t('No')?></span>
                        </label>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </section>

        </div>
      </div>
    </div>
  </section>
</div>
