/**
* ============================================
* File type: Conf
* File provides: Animation on Waypoint
* Requires: Waypoint + Lazy.Animate
*
* @author:  Matteo Montanari <matteo@italinux.com>
*
* @component: jquery.waypoints.min.js
* @component: jquery.lazy.animate.min.js
*
* TERMS OF USE
* Open source under the GPLv3 License.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software Foundation,
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
* ============================================
*/

(function($) {

    $.fn.lazyAnimateInit = function() {
        /**
        * @preserve
        * List of Handlers for Animation
        */
        $(this).lazyAnimate({
            "what-i-do": {
                "icon": {
                    offset: 500,
                    effect: "bounceIn",
                    delay: 0,
                },
/*
                "title": {
                    offset: 350,
                    effect: "bounceIn",
                    delay: 0,
                },
*/
                "content": {
                    0: {
                        offset: 550,
                        effect: "flipInX",
                        delay: 0,
                    },
                    1: {
                        offset: 550,
                        effect: "flipInX",
                        delay: 0.3,
                    },
                    2: {
                        offset: 550,
                        effect: "flipInX",
                        delay: 0.2,
                    },
                    3: {
                        offset: 550,
                        effect: "bounceInRight",
                        delay: 0,
                    },
                },
/*
                "cta": {
                    offset: 350,
                    effect: "bounceIn",
                    delay: 0,
                },
*/
            },
        });
    };
})(jQuery);
