/**
* ===============================================================
* File type: Init
* File provides: Navigation
*
* @author: Matteo Montanari <matteo@italinux.com>
*
* TERMS OF USE
* Open source under the GPLv3 License.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software Foundation,
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*
* ============================================
* Tipically preloader custom
* ============================================
*/

/** - - - - - - - - - - - - - - - - - - - - -
*  PRELOADER
* - - - - - - - - - - - - - - - - - - - - -*/
$(function() {

    var thisHandler = "div#preloader";
    var transMsecs = 300;
    var delayMsecs = 300;

    // Adding some lagging to preload?
    var addLagging = false;


    if ($(location).attr("hash")) {
        $(thisHandler).hide();
    } else {

        switch (addLagging) {
          case true:

          // new background opacity
          var newOpacity = '0.98';

          // new timing delay (msecs)
          delayMsecs = 1500;

          // new timing transition (msecs)
          transMsecs = 300;

          var curBackgroundColor = $(thisHandler).css('background-color'),  // rgba(xxx, xxx, xxx, 0.cx)
              newBackgroundColor = curBackgroundColor.replace(/[^,]+(?=\))/, newOpacity);  // rgba(xxx, xxx, xxx, 0.nx)

              $(thisHandler).css({ backgroundColor: newBackgroundColor });
          break;
        }

        // now Animate preload spinner
        $(thisHandler).children("div").delay(delayMsecs).fadeOut(transMsecs, function() {
            $(this).parent().fadeOut(transMsecs);
        });
    }

/** - - - - - - - - - - - - - - - - - - - - -
*  SCROLL-TOP show bottom arrow
* - - - - - - - - - - - - - - - - - - - - -*/
    // get current handler
    thisHandler = '#scroll-top';
    transMsecs = 0;
    delayMsecs = 2e3; // (20 x 20 x 20) = 2000

    var timer;

    $(window).scroll(function() {

        if ($(this).scrollTop() > 500) {
            $(thisHandler).not(".visible").addClass("visible");

            if ((typeof timer === 'undefined') || timer === null) {
                timer = setTimeout(function() {
                    $(thisHandler).animate({
                        width: "85px",
                        height: "85px",
                        paddingLeft: "0.8%",
                        paddingTop: "0.5%",
                        fontSize: "0.65em",
                    }, transMsecs, "swing");
                }, delayMsecs);
            }
        } else {
            $(thisHandler + ".visible").removeClass("visible");
        }
    });

/** - - - - - - - - - - - - - - - - - - - - -
*  SCROLL-TOP on click bottom arrow
* - - - - - - - - - - - - - - - - - - - - -*/
    $(".scroll-up").click(function(e) {

        e.preventDefault();

        var speedFactor = 3.5; // + o - speed (play with decimals first)

        // minimum animation duration in millisecs
        var animDurationMsecsDefault = 500;

        // get current element offset
        var thisElementOffset = $(this).offset().top;

        // calculate speed (animation)
        var animDurationMsecs = Math.ceil(thisElementOffset / speedFactor);

        // final speed (animation)
        var thisAnimDurationMsecs = (animDurationMsecs < animDurationMsecsDefault) ? animDurationMsecsDefault : animDurationMsecs;

        // Scroll Animate
        $("html, body").animate({
            scrollTop: 0
        }, thisAnimDurationMsecs, "swing");
    });
});
