<?php
/**
.---------------------------------------------------------------------.
|  @package: Theme Lazy4basic (a.k.a. Personal)
|  @version: v0.9.9 (28 March 2018)
|  @link:    http://italinux.com/personal
|  @docs:    http://italinux.com/theme-personal
|
|  @author: Matteo Montanari <matteo@italinux.com>
|  @link:   http://matteo-montanari.com
'---------------------------------------------------------------------'
.---------------------------------------------------------------------------.
| @copyright (c) 2018                                                       |
| ------------------------------------------------------------------------- |
| @license: Concrete5.org Marketplace Commercial Add-Ons & Themes License   |
|           http://concrete5.org/help/legal/commercial_add-on_license       |
|           or just: file://theme_lazy4basic/LICENSE.TXT
|                                                                           |
| This program is distributed in the hope that it will be useful - WITHOUT  |
| ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     |
| FITNESS FOR A PARTICULAR PURPOSE.                                         |
'---------------------------------------------------------------------------'
*/
namespace Concrete\Package\ThemeLazy4basic\Theme\Lazy4basic;

use Concrete\Package\ThemeLazy4basic\Controller as cPackage;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme
{
    
    protected $pThemeGridFrameworkHandle = 'bootstrap3';


    public function getThemeDefaultBlockTemplates()
    {

        return array(
            'l4b_menu' => 'static',
            'l4b_banner' => 'image_round_right',
            'l4b_what_i_do' => 'items_style_clean',
            'l4b_contacts' => 'flatty_blue_light',
            'l4b_footer' => 'show_credits',
        );
    }

    public function registerAssets() 
    {

        /** * * * * * * * * * * * * * * * * * * * * * * * * * *
        * Avoid Conflicts
        * JS + CSS to Avoid
        */
        // do NOT load: Bootstrap
        $this->providesAsset('css', 'bootstrap/*');

        // do NOT load: LightBox
        $this->providesAsset('css', 'core/frontend/*');

        // do NOT load: Font-Awesome
        $this->providesAsset('css', 'font-awesome');

        /** * * * * * * * * * * * * * * * * * * * * * * * * * *
        * Required
        * JS + CSS Required
        */ 
        // JS JQuery v1.11.3
        $this->requireAsset('javascript', 'jquery');

        // Import Theme Assets CSS & JS
        $this->requireAsset('jst.theme.assets');

        // Import Animations Assets CSS & JS
        $this->requireAsset('jst.animate.assets');
    }

    public function getThemeDisplayName($format = 'html')
    {
        return cPackage::create()->getPackageName($format);
    }

    public function getThemeDescription()
    {
       return t('A perfectly crafted theme that uses all the power of %s', 'concrete5');
    }

    public function getVersion() 
    {
        return 'v' . cPackage::create()->getPackageVersion();
    }

    public function getPresetHandle()
    {
        return cPackage::create()->getPresetHandle($this->getThemeID());
    }

    public function getAreasNames()
    {
        return cPackage::create()->getAreasNames();
    }

    public function getThemeResponsiveImageMap() 
    {

        return array(
            'large' => '900px',
            'medium' => '768px',
            'small' => '0'
        );
    }
}
